Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AICompare.ConfigDiff

    java.lang.Object
      org.hyperic.hq.autoinventory.AICompare.ConfigDiff

Enclosing class:
  AICompare

    public static class AICompare.ConfigDiff

extends Object

Field Summary
`protected org.hyperic.util.config.ConfigResponse` | `changedConf`
`protected org.hyperic.util.config.ConfigResponse` | `deletedConf`
`protected org.hyperic.util.config.ConfigResponse` | `newConf`

Constructor Summary
`AICompare.ConfigDiff()`

Method Summary
`org.hyperic.util.config.ConfigResponse` | `getChangedConf()`
`org.hyperic.util.config.ConfigResponse` | `getDeletedConf()`
`org.hyperic.util.config.ConfigResponse` | `getNewConf()`
`void` | `setChangedConf(org.hyperic.util.config.ConfigResponse changedConf)`
`void` | `setDeletedConf(org.hyperic.util.config.ConfigResponse deletedConf)`
`void` | `setNewConf(org.hyperic.util.config.ConfigResponse newConf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newConf

    protected org.hyperic.util.config.ConfigResponse newConf

### changedConf

    protected org.hyperic.util.config.ConfigResponse changedConf

### deletedConf

    protected org.hyperic.util.config.ConfigResponse deletedConf

Constructor Detail

### AICompare.ConfigDiff

    public AICompare.ConfigDiff()

Method Detail

### getNewConf

    public org.hyperic.util.config.ConfigResponse getNewConf()

### setNewConf

    public void setNewConf(org.hyperic.util.config.ConfigResponse newConf)

### getChangedConf

    public org.hyperic.util.config.ConfigResponse getChangedConf()

### setChangedConf

    public void setChangedConf(org.hyperic.util.config.ConfigResponse changedConf)

### getDeletedConf

    public org.hyperic.util.config.ConfigResponse getDeletedConf()

### setDeletedConf

    public void setDeletedConf(org.hyperic.util.config.ConfigResponse deletedConf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.